using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.HumanAffairs;
using GxPress.Result.HumanAffairs;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IHumanAffairsRepository:IRepository
    {
        Task<bool> InsertAsync(IEnumerable<HumanAffairs> humanAffairsList);
        Task<PagedList<HumanAffairs>> GetPageListAsync(PageParameter request);

        Task<HumanAffairsResult> GetHumanAffairsChartAsync(HumanAffairsRequest request);
    }
}
